Get maintenance window details.

Base URL
https://{kibana_url}
  • GET /api/maintenance_window/{id}
Auth

Required authorization

Privileges read-maintenance-window

Path parameters

id string required

The identifier for the maintenance window.

Responses

Indicates a successful call.

application/json
created_at string required

The date and time when the maintenance window was created.

created_by string · default: null nullable

The identifier for the user that created the maintenance window.

enabled boolean required

Whether the current maintenance window is enabled. Disabled maintenance windows do not suppress notifications.

id string required

The identifier for the maintenance window.

schedule object required
custom object required
duration string required

The duration of the schedule. It allows values in <integer><unit> format. <unit> is one of d, h, m, or s for hours, minutes, seconds. For example: 1d, 5h, 30m, 5000s.

recurring object
end string

The end date of a recurring schedule, provided in ISO 8601 format and set to the UTC timezone. For example: 2025-04-01T00:00:00.000Z.

every string

The interval and frequency of a recurring schedule. It allows values in <integer><unit> format. <unit> is one of d, w, M, or y for days, weeks, months, years. For example: 15d, 2w, 3m, 1y.

occurrences number

The total number of recurrences of the schedule.

onMonth number[] · max items: 12

The specific months for a recurring schedule. Valid values are 1-12.

onMonthDay number[] · max items: 31

The specific days of the month for a recurring schedule. Valid values are 1 to 31, or -1 for the last day of the month.

onWeekDay string[] · max items: 77

The specific days of the week ([MO,TU,WE,TH,FR,SA,SU]) or nth day of month ([+1MO, -3FR, +2WE, -4SA, -5SU]) for a recurring schedule.

start string required

The start date and time of the schedule, provided in ISO 8601 format and set to the UTC timezone. For example: 2025-03-12T12:00:00.000Z.

timezone string

The timezone of the schedule. The default timezone is UTC.

scope object
alerting object required
query object required
kql string required

A filter written in Kibana Query Language (KQL). Only alerts matching this query will be suppressed by the maintenance window.

status enum required

The current status of the maintenance window.

Values: running upcoming finished archived disabled
title string required

The name of the maintenance window.

updated_at string required

The date and time when the maintenance window was last updated.

updated_by string · default: null nullable

The identifier for the user that last updated this maintenance window.

400

Indicates an invalid schema or parameters.

403

Indicates that this call is forbidden.

404

Indicates a maintenance window with the given ID does not exist.

Base URL
https://{kibana_url}